

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/dquot.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN fs/dquot.c~vfs_quota_off-oops-fix fs/dquot.c
--- 25/fs/dquot.c~vfs_quota_off-oops-fix	2004-11-30 01:23:15.910348368 -0800
+++ 25-akpm/fs/dquot.c	2004-11-30 01:23:15.914347760 -0800
@@ -1366,7 +1366,8 @@ int vfs_quota_off(struct super_block *sb
 			mark_inode_dirty(toput[cnt]);
 			iput(toput[cnt]);
 		}
-	invalidate_bdev(sb->s_bdev, 0);
+	if (sb->s_bdev)
+		invalidate_bdev(sb->s_bdev, 0);
 	return 0;
 }
 
_
